Skip to main content
GET
/
automations
/
{id}
/
runs
List automation runs
curl --request GET \
  --url https://api.flipsidecrypto.xyz/public/v3/automations/{id}/runs
{
  "runs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "runById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "state": "pending",
      "triggeredBy": "schedule",
      "error": {},
      "metadata": {},
      "inputValues": {},
      "startedAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "stateHistory": [
        {
          "state": "pending",
          "at": "2023-11-07T05:31:56Z"
        }
      ],
      "userAgent": "web",
      "workflowName": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Path Parameters

id
string<uuid>
required

Query Parameters

limit
number
default:50
Required range: 1 <= x <= 100
offset
number | null
default:0
Required range: x >= 0

Response

Paginated list of automation runs

runs
object[]
required
total
integer
required
limit
integer
required
offset
integer
required